'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styledComponents = require('styled-components');
var styledComponents__default = _interopDefault(styledComponents);
require('react');

const styled = styledComponents__default;

const StyledView = styled.span`
  font-size: 13px;

  &[contenteditable=true]:hover {
    border-bottom: 1px dashed #777;
    cursor: text;
  } 
  
  &[contenteditable=false]:hover {
    cursor: not-allowed;
  }

  &[contenteditable=true]:focus {
    outline: none;
    border-bottom: 1px dashed #00aeed;
  }
  
  &:empty:focus {
    min-width: 5px;
    display: inline-block;
  }

  &:empty:not(:focus):before {
    content: attr(placeholder);
    color: #233040;
    opacity: 0.5;
  }
`;
//# sourceMappingURL=plugin.js.map
